package com.fjhx.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ProgressVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 所有需要同步的邮件数量
     */
    private Integer totalMessageCount;

    /**
     * 已同步的数量
     */
    private Integer completeMessageCount;

    /**
     * 完成百分比
     */
    private Integer percentage;

    /**
     * 明细
     */
    private List<Details> detailsList;

    /**
     * 明细类
     */
    @Data
    public static class Details implements Serializable {
        private static final long serialVersionUID = 1L;

        private String path;

        private String name;

        private Integer messages;

        private Integer completeMessageCount;

        private Integer percentage;

    }


}
