package com.fjhx.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.base.BaseEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 邮件推送信息
 * </p>
 *
 * @author zlj
 * @since 2022-12-21
 */
@Getter
@Setter
@TableName("email_message_send")
public class EmailMessageSend extends BaseEntity {

    /**
     * 文件id
     */
    private Long emailMessageId;

    /**
     * 文件id
     */
    private String messageId;

    /**
     * 类型 1收件人 2抄送人 3密送人
     */
    private Integer type;

    /**
     * 推送人名称
     */
    private String name;

    /**
     * 推送人地址
     */
    private String address;


}
